Bug 546853 - SELinux is preventing /lib/ld-2.11.so "execute" access on /usr/lib/firefox-3.5.5/firefox.
Summary: SELinux is preventing /lib/ld-2.11.so "execute" access on /usr/lib/firefox-3....
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:15ef2ec83b3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-12 09:29 UTC by Christopher Beland
Modified: 2009-12-22 20:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-22 20:42:29 UTC
Type: ---


Attachments (Terms of Use)

Description Christopher Beland 2009-12-12 09:29:05 UTC
Summary:

SELinux is preventing /lib/ld-2.11.so "execute" access on
/usr/lib/firefox-3.5.5/firefox.

Detailed Description:

[ld-linux.so.2 has a permissive type (abrt_t). This access was not denied.]

SELinux denied access requested by ld-linux.so.2. It is not expected that this
access is required by ld-linux.so.2 and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:abrt_t:s0-s0:c0.c1023
Target Context                system_u:object_r:mozilla_exec_t:s0
Target Objects                /usr/lib/firefox-3.5.5/firefox [ file ]
Source                        ld-linux.so.2
Source Path                   /lib/ld-2.11.so
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           glibc-2.11-4
Target RPM Packages           firefox-3.5.5-1.fc12
Policy RPM                    selinux-policy-3.6.32-56.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.6-162.fc12.i686
                              #1 SMP Fri Dec 4 01:09:09 EST 2009 i686 i686
Alert Count                   1
First Seen                    Sat 12 Dec 2009 04:06:39 AM EST
Last Seen                     Sat 12 Dec 2009 04:06:39 AM EST
Local ID                      74975080-0f6a-48ff-9e93-774da02fc49e
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1260608799.921:18462): avc:  denied  { execute } for  pid=12739 comm="ld-linux.so.2" path="/usr/lib/firefox-3.5.5/firefox" dev=sda1 ino=7028 scontext=system_u:system_r:abrt_t:s0-s0:c0.c1023 tcontext=system_u:object_r:mozilla_exec_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1260608799.921:18462): arch=40000003 syscall=192 success=yes exit=134508544 a0=8047000 a1=19000 a2=5 a3=812 items=0 ppid=12736 pid=12739 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="ld-linux.so.2" exe="/lib/ld-2.11.so" subj=system_u:system_r:abrt_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-56.fc12,catchall,ld-linux.so.2,abrt_t,mozilla_exec_t,file,execute
audit2allow suggests:

#============= abrt_t ==============
allow abrt_t mozilla_exec_t:file execute;

Comment 1 Christopher Beland 2009-12-12 09:30:42 UTC
Firefox crashed on close, reported as bug 546851

Comment 2 Daniel Walsh 2009-12-12 12:50:09 UTC
Fixed in selinux-policy-3.6.32-59.fc12.noarch

Comment 3 Fedora Update System 2009-12-16 13:55:02 UTC
selinux-policy-3.6.32-59.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-59.fc12

Comment 4 Fedora Update System 2009-12-18 04:43:13 UTC
selinux-policy-3.6.32-59.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13384


Note You need to log in before you can comment on or make changes to this bug.